component: Sm
metric: zoox::diag::EmptyMetric
namespace: zoox::llc_gateway
faults:
    # Deprecated.
  - id: 0
    name: RESERVED
    severity: ERROR
    description:
    deprecated: true
  - id: 1
    name: ADC_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 2
    name: DAC_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 3
    name: AI_CAN_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 4
    name: AI_CAN_RX_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 5
    name: AI_CAN_TX_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 6
    name: CHASSIS_CAN_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 7
    name: CHASSIS_CAN_RX_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 8
    name: CHASSIS_CAN_TX_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 9
    name: DAS_CAN_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 10
    name: DAS_CAN_RX_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 11
    name: DAS_CAN_TX_ERROR
    severity: INFO
    description: "Unimplemented."
  - id: 12
    name: BACKGROUND_WATCHDOG
    severity: ERROR
    description: "Background thread timed out."
    triggers_nogo: true
  - id: 13
    name: MONITOR_WATCHDOG
    severity: ERROR
    description: "Monitor thread timed out."
    triggers_nogo: true
  - id: 14
    name: WATCHDOG_FAILURE
    severity: ERROR
    description: "Watchdog timer has stopped working."
    triggers_nogo: true
  - id: 15
    name: LLC_MIA
    severity: ERROR
    description: "LLC has gone silent."
    triggers_nogo: true
  - id: 16
    name: ACC_MIA
    severity: ERROR
    description: "ACC message from LLC not received."
    triggers_nogo: true
  - id: 17
    name: SM_UPDATE_ERROR
    severity: ERROR
    description: "SM monitors failed to update."
    triggers_nogo: true
  - id: 18
    name: STATE_ERROR
    severity: ERROR
    description: "SM entered an invalid state."
    triggers_nogo: true
  - id: 19
    name: LLC_STATE_ERROR
    severity: ERROR
    description: "LLC reported an unknown or invalid state."
    triggers_nogo: true
  - id: 20
    name: CONTROL_IN_MANUAL
    severity: ERROR
    description: "LLC attempted to control the vehicle in manual."
    triggers_nogo: true
  - id: 21
    name: DOUBLE_PULL_TIMEOUT
    severity: ERROR
    description: "LLC has engaged autonomous without a double pull."
    triggers_nogo: true
  - id: 22
    name: EPS_STATUS_MIA
    severity: ERROR
    description: "EPS status has not been received."
    triggers_nogo: true
  - id: 23
    name: STEERING_LIMIT
    severity: ERROR
    description: "Steering wheel exceeded limit."
    triggers_nogo: true
  - id: 24
    name: STEERING_RATE_LIMIT
    severity: ERROR
    description: "Steering wheel rate exceeded limit."
    triggers_nogo: true
  - id: 25
    name: STEERING_TORQUE_LIMIT
    severity: ERROR
    description: "Steering wheel torque exceeded limit."
    triggers_nogo: true
  - id: 26
    name: BRAKING_LIMIT
    severity: ERROR
    description: "Braking request has exceeded limit."
    triggers_nogo: true
  - id: 27
    name: ACCEL_LIMIT
    severity: ERROR
    description: "Acceleration request has exceeded limit."
    triggers_nogo: true
  - id: 28
    name: LLC_MANUAL_TIMEOUT
    severity: ERROR
    description: "LLC did not disengage on driver input."
    triggers_nogo: true
  - id: 29
    name: DRIVER_INPUT_TIMEOUT
    severity: ERROR
    description: "LLC disengaged without driver input."
    triggers_nogo: true
  - id: 30
    name: INIT_FAILURE
    severity: ERROR
    description: "Initialization failure."
    triggers_nogo: true
    # Start of Prius specific faults
  - id: 31
    name: ESP_STATUS_MIA
    severity: ERROR
    description: "ESP status message has not been received."
    triggers_nogo: true
    # End of Prius specific faults
